Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model
Class SQWRLNames

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.model.SQWRLNames

    public class SQWRLNames

extends Object

Field Summary
`static String[]` | `aggregateFunctionNames`
`static String` | `Append`
`static String` | `Avg`
`static String` | `AvgAggregateFunction`
`static String` | `ColumnNames`
`static String` | `Contains`
`static String` | `Count`
`static String` | `CountAggregateFunction`
`static String` | `CountDistinct`
`static String` | `CountDistinctAggregateFunction`
`static String` | `Difference`
`static String` | `Element`
`static String` | `Equal`
`static String` | `First`
`static String` | `FirstN`
`static String` | `Greatest`
`static String` | `GreatestN`
`static String` | `GroupBy`
`static String` | `Intersection`
`static String` | `Intersects`
`static String` | `IsEmpty`
`static String` | `Last`
`static String` | `LastN`
`static String` | `Least`
`static String` | `LeastN`
`static String` | `Limit`
`static String` | `MakeBag`
`static String` | `MakeSet`
`static String` | `Max`
`static String` | `MaxAggregateFunction`
`static String` | `Median`
`static String` | `MedianAggregateFunction`
`static String` | `Min`
`static String` | `MinAggregateFunction`
`static String` | `NotContains`
`static String` | `NotElement`
`static String` | `NotEqual`
`static String` | `NotFirst`
`static String` | `NotFirstN`
`static String` | `NotGreatest`
`static String` | `NotGreatestN`
`static String` | `NotIntersects`
`static String` | `NotIsEmpty`
`static String` | `NotLast`
`static String` | `NotLastN`
`static String` | `NotLeast`
`static String` | `NotLeastN`
`static String` | `NotNth`
`static String` | `NotNthGreatest`
`static String` | `NotNthGreatestSlice`
`static String` | `NotNthLast`
`static String` | `NotNthLastSlice`
`static String` | `NotNthSlice`
`static String` | `Nth`
`static String` | `NthGreatest`
`static String` | `NthGreatestSlice`
`static String` | `NthLast`
`static String` | `NthLastSlice`
`static String` | `NthSlice`
`static String` | `OrderBy`
`static String` | `OrderByDescending`
`static String` | `Select`
`static String` | `SelectDistinct`
`static String` | `Size`
`static String` | `SQWRLBuiltInLibraryName`
`static String` | `SQWRLNamespace`
`static String` | `SQWRLPrefix`
`static String` | `Sum`
`static String` | `SumAggregateFunction`
`static String` | `Union`

Constructor Summary
`SQWRLNames()`

Method Summary
`static Set<String>` | `getCollectionCreateBuiltInNames()`
`static Set<String>` | `getCollectionGroupByBuiltInNames()`
`static Set<String>` | `getCollectionMakeBuiltInNames()`
`static Set<String>` | `getCollectionOperationBuiltInNames()`
`static Set<String>` | `getHeadBuiltInNames()`
`static Set<String>` | `getHeadSelectionBuiltInNames()`
`static Set<String>` | `getHeadSlicingBuiltInNames()`
`static Set<String>` | `getSQWRLBuiltInNames()`
`static boolean` | `isSQWRLBuiltIn(String builtInName)`
`static boolean` | `isSQWRLCollectionCreateOperationBuiltIn(String builtInName)`
`static boolean` | `isSQWRLCollectionGroupByBuiltIn(String builtInName)`
`static boolean` | `isSQWRLCollectionMakeBuiltIn(String builtInName)`
`static boolean` | `isSQWRLCollectionOperationBuiltIn(String builtInName)`
`static boolean` | `isSQWRLHeadAggregationBuiltIn(String builtInName)`
`static boolean` | `isSQWRLHeadBuiltIn(String builtInName)`
`static boolean` | `isSQWRLHeadSelectionBuiltIn(String builtInName)`
`static boolean` | `isSQWRLHeadSlicingBuiltIn(String builtInName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQWRLBuiltInLibraryName

    public static String SQWRLBuiltInLibraryName

### SQWRLPrefix

    public static final String SQWRLPrefix

See Also:
  Constant Field Values

### SQWRLNamespace

    public static final String SQWRLNamespace

See Also:
  Constant Field Values

### Select

    public static final String Select

See Also:
  Constant Field Values

### SelectDistinct

    public static final String SelectDistinct

See Also:
  Constant Field Values

### Count

    public static final String Count

See Also:
  Constant Field Values

### CountDistinct

    public static final String CountDistinct

See Also:
  Constant Field Values

### Avg

    public static final String Avg

See Also:
  Constant Field Values

### Min

    public static final String Min

See Also:
  Constant Field Values

### Max

    public static final String Max

See Also:
  Constant Field Values

### Sum

    public static final String Sum

See Also:
  Constant Field Values

### Median

    public static final String Median

See Also:
  Constant Field Values

### OrderBy

    public static final String OrderBy

See Also:
  Constant Field Values

### OrderByDescending

    public static final String OrderByDescending

See Also:
  Constant Field Values

### ColumnNames

    public static final String ColumnNames

See Also:
  Constant Field Values

### CountAggregateFunction

    public static final String CountAggregateFunction

See Also:
  Constant Field Values

### CountDistinctAggregateFunction

    public static final String CountDistinctAggregateFunction

See Also:
  Constant Field Values

### Limit

    public static final String Limit

See Also:
  Constant Field Values

### MinAggregateFunction

    public static final String MinAggregateFunction

See Also:
  Constant Field Values

### MaxAggregateFunction

    public static final String MaxAggregateFunction

See Also:
  Constant Field Values

### SumAggregateFunction

    public static final String SumAggregateFunction

See Also:
  Constant Field Values

### AvgAggregateFunction

    public static final String AvgAggregateFunction

See Also:
  Constant Field Values

### MedianAggregateFunction

    public static final String MedianAggregateFunction

See Also:
  Constant Field Values

### MakeSet

    public static final String MakeSet

See Also:
  Constant Field Values

### MakeBag

    public static final String MakeBag

See Also:
  Constant Field Values

### GroupBy

    public static final String GroupBy

See Also:
  Constant Field Values

### Size

    public static final String Size

See Also:
  Constant Field Values

### IsEmpty

    public static final String IsEmpty

See Also:
  Constant Field Values

### NotIsEmpty

    public static final String NotIsEmpty

See Also:
  Constant Field Values

### Element

    public static final String Element

See Also:
  Constant Field Values

### NotElement

    public static final String NotElement

See Also:
  Constant Field Values

### Last

    public static final String Last

See Also:
  Constant Field Values

### NotLast

    public static final String NotLast

See Also:
  Constant Field Values

### LastN

    public static final String LastN

See Also:
  Constant Field Values

### NotLastN

    public static final String NotLastN

See Also:
  Constant Field Values

### First

    public static final String First

See Also:
  Constant Field Values

### NotFirst

    public static final String NotFirst

See Also:
  Constant Field Values

### FirstN

    public static final String FirstN

See Also:
  Constant Field Values

### NotFirstN

    public static final String NotFirstN

See Also:
  Constant Field Values

### Nth

    public static final String Nth

See Also:
  Constant Field Values

### NotNth

    public static final String NotNth

See Also:
  Constant Field Values

### NthLast

    public static final String NthLast

See Also:
  Constant Field Values

### NotNthLast

    public static final String NotNthLast

See Also:
  Constant Field Values

### NthSlice

    public static final String NthSlice

See Also:
  Constant Field Values

### NotNthSlice

    public static final String NotNthSlice

See Also:
  Constant Field Values

### NthLastSlice

    public static final String NthLastSlice

See Also:
  Constant Field Values

### NotNthLastSlice

    public static final String NotNthLastSlice

See Also:
  Constant Field Values

### Intersection

    public static final String Intersection

See Also:
  Constant Field Values

### Union

    public static final String Union

See Also:
  Constant Field Values

### Difference

    public static final String Difference

See Also:
  Constant Field Values

### Append

    public static final String Append

See Also:
  Constant Field Values

### Intersects

    public static final String Intersects

See Also:
  Constant Field Values

### NotIntersects

    public static final String NotIntersects

See Also:
  Constant Field Values

### Equal

    public static final String Equal

See Also:
  Constant Field Values

### NotEqual

    public static final String NotEqual

See Also:
  Constant Field Values

### Contains

    public static final String Contains

See Also:
  Constant Field Values

### NotContains

    public static final String NotContains

See Also:
  Constant Field Values

### Greatest

    public static final String Greatest

See Also:
  Constant Field Values

### NotGreatest

    public static final String NotGreatest

See Also:
  Constant Field Values

### GreatestN

    public static final String GreatestN

See Also:
  Constant Field Values

### NotGreatestN

    public static final String NotGreatestN

See Also:
  Constant Field Values

### Least

    public static final String Least

See Also:
  Constant Field Values

### NotLeast

    public static final String NotLeast

See Also:
  Constant Field Values

### LeastN

    public static final String LeastN

See Also:
  Constant Field Values

### NotLeastN

    public static final String NotLeastN

See Also:
  Constant Field Values

### NthGreatest

    public static final String NthGreatest

See Also:
  Constant Field Values

### NotNthGreatest

    public static final String NotNthGreatest

See Also:
  Constant Field Values

### NthGreatestSlice

    public static final String NthGreatestSlice

See Also:
  Constant Field Values

### NotNthGreatestSlice

    public static final String NotNthGreatestSlice

See Also:
  Constant Field Values

### aggregateFunctionNames

    public static final String[] aggregateFunctionNames

Constructor Detail

### SQWRLNames

    public SQWRLNames()

Method Detail

### getSQWRLBuiltInNames

    public static Set<String> getSQWRLBuiltInNames()

### getHeadBuiltInNames

    public static Set<String> getHeadBuiltInNames()

### getHeadSlicingBuiltInNames

    public static Set<String> getHeadSlicingBuiltInNames()

### getHeadSelectionBuiltInNames

    public static Set<String> getHeadSelectionBuiltInNames()

### getCollectionMakeBuiltInNames

    public static Set<String> getCollectionMakeBuiltInNames()

### getCollectionGroupByBuiltInNames

    public static Set<String> getCollectionGroupByBuiltInNames()

### getCollectionCreateBuiltInNames

    public static Set<String> getCollectionCreateBuiltInNames()

### getCollectionOperationBuiltInNames

    public static Set<String> getCollectionOperationBuiltInNames()

### isSQWRLBuiltIn

    public static boolean isSQWRLBuiltIn(String builtInName)

### isSQWRLHeadBuiltIn

    public static boolean isSQWRLHeadBuiltIn(String builtInName)

### isSQWRLHeadSelectionBuiltIn

    public static boolean isSQWRLHeadSelectionBuiltIn(String builtInName)

### isSQWRLHeadAggregationBuiltIn

    public static boolean isSQWRLHeadAggregationBuiltIn(String builtInName)

### isSQWRLHeadSlicingBuiltIn

    public static boolean isSQWRLHeadSlicingBuiltIn(String builtInName)

### isSQWRLCollectionMakeBuiltIn

    public static boolean isSQWRLCollectionMakeBuiltIn(String builtInName)

### isSQWRLCollectionGroupByBuiltIn

    public static boolean isSQWRLCollectionGroupByBuiltIn(String builtInName)

### isSQWRLCollectionCreateOperationBuiltIn

    public static boolean isSQWRLCollectionCreateOperationBuiltIn(String builtInName)

### isSQWRLCollectionOperationBuiltIn

    public static boolean isSQWRLCollectionOperationBuiltIn(String builtInName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.